<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Advanced Forum Index v3 by Meth0d & Shedrock.
| For support visit Fuzed Themes ...
| [http://phpfusion-themes.com] (ATTN: Meth0d Mods)
| Warning -- Removing the AFI  From your Forum Index
| is punishable by copyright law.
+----------------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location: ../index.php"); exit; }

/* Advanced Forum Index v3 Configuration ------------------------------------------
| Fine Tune these Settings to get the most out of your Forum Index! 
| Set them to 0 or False to disable a feature, set to 1 or True to enable a feature.
+----------------------------------------------------------------------------------*/
$showHeader = TRUE; //to hide the header set to false
$showSubfooter = TRUE; //to hide the footer set to false
$fuzedFtlp = TRUE; //if you have the latest Forum Threads List panel from Fuzed installed set to true
$headerStyle = TRUE; //0/FALSE to show header in new content table; 1/TRUE to show inside main forum table
$useForumImg = TRUE; //to not use forum images for each forum set to false
$shoutbox5 = TRUE; //if you don't have Ajax Shoutbox v5 from Fuzed installed set to false
$useThemeImg = FALSE; //if you want the Whos Online image to be declared by your theme instead set to true
$advancedSearchWooya = TRUE; //if you don't the Advanced Search by Wooya from Fuzed installed set to false
$tblMouseOvers = TRUE; //if you don't want to use the mouseover effects for the forum index set to false
$markThreadsRead = TRUE; //if you DONT have the Mark Threads Read Mod installed from Xandra set to false
$userGroupsMods = FALSE; //if you have the Usergroups as Mods mod installed by Xandra set to True 
 
//Colors - Tell your Forum Index what colors you want the usernames to use. 
$useColoring = TRUE; //set this to false if you don't want usernames to be colored on the index
$cMEMBER = "#3333CC"; //color for regular users and members
$cADMIN = "#008000"; //color for normal administrators
$cSUPERADMIN = "#F75013"; //color for super administrators
$cBANNED = "#A38C54"; //color for banned members

///////////////////////////////////////////////////////////
//Begin AFI Core -- Warning DO NOT EDIT BELOW THESE LINES
///////////////////////////////////////////////////////////
define("IN_AFI", TRUE); 
define("F_IMGS", FORUM."images/"); 
define("LPOST_ICON", "<img src='".F_IMGS."icon_lpost.gif' border='0' alt='' /> ");
define("AFI_VERSION", "3.0"); 
$locale['afi'] = "Advanced Forum Index v".AFI_VERSION;
$locale['aficreds'] = "Advanced Forum Index version ".AFI_VERSION." by Meth0d (aka J Love) &copy;2007.".phpentities("<br /><br />")."
Support: http://phpfusion-themes.com";
define("AFI", "<span style='cursor:default; text-decoration: none;' title=\"header=[".$locale['afi']."] body=[".$locale['aficreds']."] delay=[0] fade=[on]\">&copy;</span>");

if (!defined("iMEMCOLOR")) define("iMEMCOLOR", $cMEMBER);
if (!defined("iADMNCOLOR")) define("iADMNCOLOR", $cADMIN);
if (!defined("iSUPADMNCOLOR")) define("iSUPADMNCOLOR", $cSUPERADMIN);
if (!defined("iBANTCOLOR")) define("iBANTCOLOR", $cBANNED);
if (!defined("IMGBULLET")) define("IMGBULLET", "<img border='0' src='".THEME."images/bullet.gif' alt='' />&nbsp;");

if (!function_exists("get_ucolor")){
	function get_ucolor($user_id){
		global $db_prefix, $useColoring;
		if ($useColoring){
			$colors = array(103 => iSUPADMNCOLOR, 102 => iADMNCOLOR, 101 => iMEMCOLOR);
			$data = dbarray(dbquery("SELECT * FROM ".$db_prefix."users WHERE user_id = ".$user_id));
			return $colors[$data['user_level']];
		} else { 
			return "";
		}
	}
}

if (!function_exists("xhtmlAmp")){
	function xhtmlAmp($text, $mode=TRUE){
		if ($mode){
			return str_replace("&", "&amp;", $text);
		} else {
			$search = array("&amp;lt;", "&amp;gt;"); //<- Not a bug, really fixes some xhtml errors caused by Fusion.
			$replace = array("&lt;", "&gt;");
			return str_replace($search, $replace, $text);
		}
	}
}

if (!function_exists("xhtmlValid")){
	function xhtmlValid($text){
		$search = array("&#39;", "&quot;", "&nbsp;", "&#92;", " & ");
		$replace = array("'", '"', " ", "/", " &amp; ");
		$text = str_replace($search, $replace, $text);
		return $text;
	}
}

function daysBetween($day1,$day2){ 
	 return round((strtotime($day2)-strtotime($day1))/(24*60*60),0); 
} 

function hoverOver($subject, $content){
	return " title=\"header=[ ".str_replace("]", "]]", str_replace("[", "[[", trimlink($subject, 40)))."] body=[".str_replace("]", "]]", str_replace("[", "[[", trimlink($content, 250)))."] delay=[0] fade=[on]\"";
}

function strBetween($s1,$s2,$s){
	$s1 = strtolower($s1);
	$s2 = strtolower($s2);
	$L1 = strlen($s1);
	$scheck = strtolower($s);
	if($L1>0){$pos1 = strpos($scheck,$s1);} else {$pos1=0;}
	if($pos1 !== false){
		if($s2 == '') return substr($s,$pos1+$L1);
		$pos2 = strpos(substr($scheck,$pos1+$L1),$s2);
		if($pos2!==false) return substr($s,$pos1+$L1,$pos2);
	}
	return '';
}

function openWeb($url){
	$user_agent = "Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)";
	$ch = curl_init();    
	curl_setopt($ch, CURLOPT_URL, $url); 
	curl_setopt($ch, CURLOPT_FAILONERROR, 1);         
	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);   
	curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
	curl_setopt($ch, CURLOPT_PORT, 80);           
	curl_setopt($ch, CURLOPT_TIMEOUT, 15); 
	curl_setopt($ch, CURLOPT_USERAGENT, $user_agent);
	$document = curl_exec($ch);
	$text = trim($document);
	return $text;
}

$cssFile = openWeb(THEME."styles.css");
function tblClass($tbl){
	global $cssFile;
	$arrayTables = array("tbl1", "tbl2", "td");
	if (in_array($tbl, $arrayTables)){
		$tblClasses = strBetween(".".$tbl, "}", $cssFile);
		$cssClasses = explode(";", $tblClasses);
		foreach ($cssClasses as $class){
			if (strpos($class, "ground-color") > 0){
				$newClass = strstr($class, "background-color:");
				if (!$newClass) $newClass = strstr($class, "background-color :");
				$chkClasses = array("background-color:", "background-color :");
				$newClass = trim(str_replace($chkClasses, "", $newClass));
			}
		}
		return $newClass;
	} else {
		return false;
	}
}

function forumImg($id){
	global $db_prefix;
	$forum = dbarray(dbquery("SELECT * FROM ".$db_prefix."forums WHERE forum_id = ".$id));
	$imgDir = IMAGES."forum_cats/";
	if (file_exists($imgDir.$forum['forum_cat_image']) && $forum['forum_cat_image'] != ""){
		return "<img src='".$imgDir.$forum['forum_cat_image']."' alt='".$forum['forum_name']."' border='0' />";
	} elseif ($forum['forum_cat_image'] == ""){
		return "<img src='".$imgDir."default.png' alt='".$forum['forum_name']."' border='0' />";
	} else { 
		return false;
	}
	
}

?>