<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright © 2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Advanced Forum Index v3 by Meth0d & Shedrock.
| For support visit Fuzed Themes ...
| [http://phpfusion-themes.com] (ATTN: Meth0d Mods)
+----------------------------------------------------*/
require_once "../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";
require_once "forum_core.php";
include LOCALE.LOCALESET."forum/main.php";

if (!isset($lastvisited) || !isNum($lastvisited)) $lastvisited = time();

echo "<script language='javascript' src='".INCLUDES."forum.js' type='text/javascript'></script>";
if (!$shoutbox5) echo "<script language='javascript' src='".INCLUDES."boxover.js' type='text/javascript'></script>";

if ($markThreadsRead && iMEMBER){
	echo "<script type='text/javascript' src='".INCLUDES."mtr_jscript.js'></script>";
	include INCLUDES."mtr_functions_include.php";
	$mtr = mtr_get_data();
}

$forumcookie = array();
if (isset($_COOKIE['fusion_forumindex'])) {
	$cookie = explode(":",$_COOKIE['fusion_forumindex']);
	$forumcookie = array_merge($forumcookie,$cookie);
}	

if ($showHeader && $headerStyle < 1){
	opentable($locale['413']);
	include FORUM."header.php";
	closetable();
	tablebreak();
}

if (!tblClass("tbl1") || !tblClass("tbl2") || !$tblMouseOvers){
	$mouseout1 = "";
	$mouseout2 = "";
} else {
	$mouseout1 = " onmouseover=\"this.style.backgroundColor='".tblClass("tbl2")."'\" onmouseout=\"this.style.backgroundColor='".tblClass("tbl1")."'\"";
	$mouseout2 = " onmouseover=\"this.style.backgroundColor='".tblClass("tbl1")."'\" onmouseout=\"this.style.backgroundColor='".tblClass("tbl2")."'\"";
}

//Original Digi Code [The Forums]
opentable($locale['400']);
if ($showHeader && $headerStyle == 1) include FORUM."header.php";

echo "<table cellpadding='0' cellspacing='0' width='100%' class='tbl-border' style='margin-top:10px'>
<tr>
<td>
<table border='0' cellpadding='0' cellspacing='1' width='100%'>
";

$forum_list = ""; $current_cat = "";
$result = dbquery(
	"SELECT f.*, COUNT(t.thread_id) AS thread_count, MAX(t.thread_lastpost) AS last_post, f2.forum_name AS forum_cat_name, u.user_id, u.user_name FROM ".$db_prefix."forums f
	LEFT JOIN ".$db_prefix."threads t USING(forum_id)
	LEFT JOIN ".$db_prefix."forums f2 ON f.forum_cat = f2.forum_id
	LEFT JOIN ".$db_prefix."users u ON f.forum_lastuser = u.user_id
	WHERE ".groupaccess('f.forum_access')." AND f.forum_cat!='0' GROUP BY forum_id ORDER BY f2.forum_order ASC, f.forum_order ASC"
);
if (dbrows($result) != 0) {
	$i = 0;
	while ($data = dbarray($result)) {
		$i++;
		if ($data['forum_cat_name'] != $current_cat) {
			if ($i != 1) echo "</tbody></table><table border='0' cellpadding='0' cellspacing='1' width='100%'>";
			$current_cat = $data['forum_cat_name'];
			echo "<tr>\n<td colspan='".($useForumImg ? "5" : "4")."' style='cursor: pointer;' class='forum-caption' onclick=\"colExpForum('".$data['forum_id']."');\"".hoverOver($locale['afi_114'], $locale['afi_115']).">
			".$data['forum_cat_name']."</td>\n</tr>\n</table>\n<table border='0' cellpadding='0' cellspacing='1' width='100%'>
			<tbody id='forum_cat_".$data['forum_id']."'".(in_array($data['forum_id'],$forumcookie) ? " style='display:none'" : "").">\n";		
		}
		$moderators = "";
		if ($data['forum_moderators']) {
			if (!$userGroupsMods){
				$res = "user_id='".str_replace(".", "' OR user_id='", $data['forum_moderators'])."'";
				$result2 = dbquery("SELECT user_id,user_name FROM ".$db_prefix."users WHERE (".$res.")");
				while ($data2 = dbarray($result2)) {
					if ($moderators) $moderators .= ", ";
					$moderators .= "<a href='".BASEDIR."profile.php?lookup=".$data2['user_id']."' style='color: ".get_ucolor($data2['user_id'])."'>".$data2['user_name']."</a>";
				}
			} else {
				$groupmods = array(); $usermods = array();
				$forum_mods = explode(".", $data['forum_moderators']);
				for($i = 0; $i < count($forum_mods); $i ++) {
					if (!isnum($forum_mods[$i])) { $groupmods[] = substr($forum_mods[$i], 1); }
					else { $usermods[] = $forum_mods[$i]; }
				}
				if (count($groupmods) != 0) {
					$res = "group_id='".implode("' OR group_id='", $groupmods)."'";
					$result2 = dbquery("SELECT group_id, group_name FROM ".$db_prefix."user_groups WHERE (".$res.") ORDER BY group_name");
					while ($data2 = dbarray($result2)) {
						if ($moderators) $moderators .= ", ";
						$moderators .= "<a href='".BASEDIR."profile.php?group_id=".$data2['group_id']."'>".$data2['group_name']."</a>";
					}
				}
				if (count($usermods) != 0) {
					$res = "user_id='".implode("' OR user_id='", $usermods)."'";
					$result2 = dbquery("SELECT user_id, user_name FROM ".$db_prefix."users WHERE (".$res.") ORDER BY user_level DESC, user_name ASC");
					while ($data2 = dbarray($result2)) {
						if ($moderators) $moderators .= ", ";
						$moderators .= "<a href='".BASEDIR."profile.php?lookup=".$data2['user_id']."'>".$data2['user_name']."</a>";
					}
				}
			}
		}
		if ($markThreadsRead){
			if (iMEMBER) {
				$fim = mtr_set_forum_image();
			} else {
				$fim = "<img src='".THEME."forum/folder.gif' alt='".$locale['561']."' />";
			}
		} else {
			if ($data['last_post'] > $lastvisited) {
				$fim = "<img src='".THEME."forum/foldernew.gif' alt='".$locale['560']."' />";
			} else {
				$fim = "<img src='".THEME."forum/folder.gif' alt='".$locale['561']."' />";
			}
		}
		$latestThread = dbarray(dbquery(
			"SELECT t.*, COUNT(p.post_id) AS thread_replies, tu1.user_name AS user_author, tu2.user_name AS user_lastuser FROM ".$db_prefix."threads t
			LEFT JOIN ".$db_prefix."posts p USING(thread_id)
			LEFT JOIN ".$db_prefix."users tu1 ON t.thread_author = tu1.user_id
			LEFT JOIN ".$db_prefix."users tu2 ON t.thread_lastuser = tu2.user_id
			WHERE t.forum_id='".$data['forum_id']."' GROUP BY thread_id ORDER BY thread_lastpost DESC LIMIT 1"));
		$p_id = dbresult(dbquery("SELECT post_id FROM ".$db_prefix."posts WHERE thread_id = '".$latestThread['thread_id']."' ORDER BY post_datestamp DESC"),0);
		if (!empty($p_id)) $postData = dbarray(dbquery("SELECT * FROM ".$db_prefix."posts WHERE post_id = ".$p_id));
		$ltMsg = ($postData['post_smileys'] == 1 ? parsesmileys($postData['post_message']) : $postData['post_message']);
		$ltMsg = phpentities(nl2br(parseubb($ltMsg)));
		if ($data['thread_count']) {
			$hoverBox = hoverOver($postData['post_subject'],$ltMsg);
			$hoverBoxX = hoverOver($data['forum_name']." :: ".$locale['404'],$ltMsg);
		} else {
			$hoverBox = hoverOver($locale['afi_112'], $locale['afi_113']); 
			$hoverBoxX = hoverOver($data['forum_name']." :: ".$locale['afi_112'], $locale['afi_113']);
		}
		echo "<tr>
<td align='center' class='tbl1' width='1%'".$mouseout1.">$fim</td>
".($useForumImg ? "<td align='center' width='1%' class='tbl2'".$mouseout2."><a href='viewforum.php?forum_id=".$data['forum_id']."'$hoverBoxX>".forumImg($data['forum_id'])."</a></td>" : "")."
<td class='tbl1'".$mouseout1." onclick=\"document.location.href='".FORUM."viewforum.php?forum_id=".$data['forum_id']."'\" style='cursor: pointer'>".IMGBULLET."<a href='viewforum.php?forum_id=".$data['forum_id']."'$hoverBoxX>".$data['forum_name']."</a><br />
<span class='small'>".parseubb($data['forum_description']).($moderators ? "<br />\n".$locale['411'].$moderators."</span></td>\n" : "</span></td>\n")."
<td align='center' class='tbl2' width='100'".$mouseout2." onclick=\"document.location.href='".FORUM."viewforum.php?forum_id=".$data['forum_id']."'\" style='cursor: pointer'>
<span class='small'>".$data['thread_count']." ".strtolower($locale['402'])."<br />
".dbcount("(post_id)", "posts", "forum_id='".$data['forum_id']."'")."  ".strtolower($locale['403'])."</span></td>
<td class='tbl1' width='120' align='center'".$mouseout1.">";
		if ($data['forum_lastpost'] == 0) {
			echo $locale['405']."</td>\n</tr>\n";
		} else {
			$txtThread = trimlink($postData['post_subject'], 21);
			$linkThread = FORUM."viewthread.php?forum_id=".$data['forum_id']."&amp;thread_id=".$latestThread['thread_id']."&amp;p_id=".$p_id."#post_".$p_id;
			echo "<span class='small'><a href='$linkThread'$hoverBox>$txtThread</a>\n
			<br />".showdate("forumdate", $data['forum_lastpost'])."<br />
".$locale['406']."<a href='".BASEDIR."profile.php?lookup=".$data['forum_lastuser']."' style='color: ".get_ucolor($data['forum_lastuser'])."'>
".$data['user_name']."</a></span> <a href='$linkThread'$hoverBox>".LPOST_ICON."</a></td>
</tr>\n";
		}
	}
	echo "</tbody>\n</table>\n";
} else {
	echo "<table border='0' cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n<td class='tbl1'>".$locale['407']."</td>\n</tr></table>\n";
}
echo "</td>\n</tr>\n</table>\n";

if ($showSubfooter) include FORUM."subfooter.php";
closetable();

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>